;;;; decons/test-csys - tests for the csys (cybernetic ommunication systems) package

(in-package :decons/test-decons)

(defun probe (msg state syns)
  (let ((t:*test-suite* state))
    (== (actor:content msg) 42)))

(deftest test-neuron ()
  (let ((prb (csys:neuron #'probe :state t:*test-suite*)))
    (actor:send prb (actor:message 42))
    (sleep 0.2)
    (actor:stop prb)
    ))
